Subject: Re: How does Cygnus compare to RSX
From: [email-masked] (Michael Holzapfel)

4 Aug 1997 06:45:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
Original-Cc: [email-masked]
X-Mailer: Mozilla 2.02 [de] (OS/2; I)
Original-Sender: [email-masked]

Allen H. Cogbill wrote:
> 
> I've never used the Cygnus-Win32 development environment, but I
> have used RSXNT, which is an extension of the EMX project (for
> OS/2) to Win32. How does Cygnus compare? Does it provide the
> same capabilities? RSX seems especially easy to use (to me, at
> least), and appears to have few bugs. What isn't available is
> a g77 port, whereas I note that is is available under Cygnus.
You can get the OS/2(emx) binaries of the g77-Port. They run under RSX
as well. Long filenames are not supported on NT, because the binaries
run in DOS-DPMI mode. 
You can recompile the sources (g77src.zip + gccsrc1..3.zip) with adding
the -Zwin32 switch in order to get Win32-console Apps. Maybe i'll
provide these binaires in the next release of g77.
Because of my experiences with emx (under OS/2), i would prefer the
RSX-compiler.
Nevertheless, cygnus seems to be the mainstream gcc implementation on
Win32.
> 
> Any information greatly appreciated.
> 
> Allen Cogbill
> Los Alamos National Lab
> [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-- 
Michael Holzapfel

--------------------------------------------------------
Institut fuer Maschinenelemente und Maschinengestaltung
RWTH-Aachen

Tel.   0049-(0)-241-805661
Fax    0049-(0)-241-8888256
Email  [email-masked]
WWW    http://www.ime.rwth-aachen.de/~michael/index.html
--------------------------------------------------------
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".